> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifically.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Z-Image Turbo

> Lightweight fast text-to-image with text rendering support

Generate AI images quickly using Z-Image Turbo. Lightweight and fast text-to-image model with Chinese and English text rendering. Does not support image editing.

## Model

```
alibaba/z-image-turbo
```

## Parameters

| Parameter       | Type    | Required | Description                                                        |
| --------------- | ------- | -------- | ------------------------------------------------------------------ |
| `prompt`        | string  | Yes      | Text description of the image (max 800 chars)                      |
| `aspect_ratio`  | string  | No       | `1:1`, `2:3`, `3:2`, `3:4`, `4:3`, `9:16`, `16:9` (default: `1:1`) |
| `prompt_extend` | boolean | No       | Prompt rewriting (default: `false`). Enabling doubles cost         |
| `seed`          | integer | No       | Seed for reproducibility                                           |

## Example

```bash theme={null}
curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "alibaba/z-image-turbo",
    "input": {
      "prompt": "Stylish young woman in front of a cartoon mural",
      "aspect_ratio": "3:4"
    }
  }'
```

## Response

```json theme={null}
{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "pending"
  }
}
```
